"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _index = _interopRequireDefault(require("../index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
Tests are run with __DEV__ set to
true in the jest configuration file.
*/
describe('<Spacer />', function () {
  it('should add one space as a default when amount prop is not passed in', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_index.default, null));
    expect(wrapper.text().length).toEqual(1);
  });
  it('should one space when amount specified is 0', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_index.default, {
      amount: 0
    }));
    expect(wrapper.text().length).toEqual(1);
  });
  it('should add three spaces', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_index.default, {
      amount: 3
    }));
    expect(wrapper.text().length).toEqual(3);
  });
  it('should still add three spaces when amount is a negative', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_index.default, {
      amount: -3
    }));
    expect(wrapper.text().length).toEqual(3);
  });
});